Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgText Namespace Reference

The osgText is a NodeKit library that extends the core scene graph to support high quality text. More...

## Classes
class | Font
| Pure virtual base class for fonts. More...
class | Font::FontImplementation
class | Font::GlyphTexture
class | Font::Glyph
class | String
class | Text
struct | Text::GlyphQuads
struct | Text::AutoTransformCache
## Enumerations
enum | KerningType { KERNING_DEFAULT, KERNING_UNFITTED, KERNING_NONE }
## Functions
OSGTEXT_EXPORT Font * | readFontFile (const std::string &filename)
| Read a font from specified file.
OSGTEXT_EXPORT Font * | readFontStream (std::istream &stream)
| read a font from specified stream.
OSGTEXT_EXPORT std::string | findFontFile (const std::string &str)

## Detailed Description

The osgText is a NodeKit library that extends the core scene graph to support high quality text.

## Enumeration Type Documentation

enum osgText::KerningType

  | Enumeration values:
  KERNING_DEFAULT |
  KERNING_UNFITTED |
  KERNING_NONE |

## Function Documentation

OSGTEXT_EXPORT std::string findFontFile | ( | const std::string & | str | ) |

OSGTEXT_EXPORT Font* readFontFile | ( | const std::string & | filename | ) |

| Read a font from specified file. The filename may contain a path. It will search for the font file in the following places in this order: In the current directory All paths defined in OSG_FILE_PATH or OSGFILEPATH environment variable Filename with path stripped: In the current directory Filename with path stripped: All paths defined in OSG_FILE_PATH or OSGFILEPATH Then the file will be searched in OS specific directories in the following order: Again in the current directory Windows: In C:/winnt/fonts Windows: In C:/windows/fonts Windows: In the fonts directory of the windows install directory Other OS: In /usr/share/fonts/ttf Other OS: In /usr/share/fonts/ttf/western Other OS: In /usr/share/fonts/ttf/decoratives If the given file could not be found, the path part will be stripped and the file will be searched again in the OS specific directories.

OSGTEXT_EXPORT Font* readFontStream | ( | std::istream & | stream | ) |

| read a font from specified stream.